Interlaken
API referenceNetworkingNetwork interfaces

Create a NIC

POST
/api/v1/nics

Requires the nics:create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/nics" \  -H "Content-Type: application/json" \  -d '{    "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892"  }'
{  "attached_to": "37d61428-83df-487b-b700-c3ef836a57a1",  "attached_to_type": "string",  "bridge_id": 0,  "bvi_sw_if_index": 0,  "created_at": "2019-08-24T14:15:22Z",  "gateway_ip": "string",  "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "inherited_security_policy_tags": [    "string"  ],  "ipv4_address": "string",  "ipv6_address": "string",  "mac_address": "string",  "name": "string",  "nic_type": "string",  "parent_nic_id": "a540109c-9e86-4099-ab66-0b8bb70f6e78",  "prefix_len": 0,  "public_ip": "string",  "secondary_ipv4_addresses": [    "string"  ],  "security_policy_tags": [    "string"  ],  "socket_path": "string",  "status": "string",  "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892",  "tags": {    "property1": "string",    "property2": "string"  },  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "updated_at": "2019-08-24T14:15:22Z",  "vlan_id": 0,  "vpc_id": 0}